Intermittent devtools/client/webconsole/test/browser_webconsole_log_file_filter.js | Uncaught exception - at browser_webconsole_log_file_filter.js:66 - Error: operation not possible on dead CPOW

RESOLVED INVALID

Status

DevTools
Console
P5
normal
RESOLVED INVALID
a year ago
a month ago

People

(Reporter: Treeherder Bug Filer, Unassigned)

Tracking

({intermittent-failure})

Firefox Tracking Flags

(Not tracked)

Details

Priority: -- → P3

Comment 1

a year ago
2 failures in 656 pushes (0.003 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 1
* autoland: 1

Platform breakdown:
* windows8-64: 1
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1377808&startday=2017-07-03&endday=2017-07-09&tree=all

Comment 2

a year ago
1 failures in 720 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1377808&startday=2017-07-10&endday=2017-07-16&tree=all

Comment 3

a year ago
1 failures in 1008 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* try: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1377808&startday=2017-07-24&endday=2017-07-30&tree=all

Comment 4

11 months ago
1 failures in 949 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-beta: 1

Platform breakdown:
* windows8-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1377808&startday=2017-08-14&endday=2017-08-20&tree=all

Comment 5

11 months ago
1 failures in 908 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 1

Platform breakdown:
* windows7-32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1377808&startday=2017-08-21&endday=2017-08-27&tree=all

Comment 6

10 months ago
2 failures in 924 pushes (0.002 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 2

Platform breakdown:
* linux64: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1377808&startday=2017-09-04&endday=2017-09-10&tree=all
Bulk priority update of open intermittent test failure bugs. 

P3 => P5

https://bugzilla.mozilla.org/show_bug.cgi?id=1381960
Priority: P3 → P5

Comment 8

9 months ago
1 failures in 824 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1377808&startday=2017-10-02&endday=2017-10-08&tree=all

Comment 9

9 months ago
2 failures in 864 pushes (0.002 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 2

Platform breakdown:
* windows10-64: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1377808&startday=2017-10-16&endday=2017-10-22&tree=all

Comment 10

9 months ago
1 failures in 912 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1377808&startday=2017-10-23&endday=2017-10-29&tree=all

Comment 11

9 months ago
2 failures in 857 pushes (0.002 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* try: 1
* mozilla-beta: 1

Platform breakdown:
* macosx64-devedition: 1
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1377808&startday=2017-10-30&endday=2017-11-05&tree=all

Comment 12

8 months ago
3 failures in 849 pushes (0.004 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 1
* mozilla-beta: 1
* autoland: 1

Platform breakdown:
* windows7-32-devedition: 1
* windows10-64: 1
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1377808&startday=2017-11-06&endday=2017-11-12&tree=all

Comment 13

8 months ago
2 failures in 744 pushes (0.003 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 1
* mozilla-central: 1

Platform breakdown:
* osx-10-10: 1
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1377808&startday=2017-11-20&endday=2017-11-26&tree=all

Comment 14

7 months ago
1 failures in 889 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-central: 1

Platform breakdown:
* windows7-32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1377808&startday=2017-12-04&endday=2017-12-10&tree=all

Comment 15

6 months ago
1 failures in 462 pushes (0.002 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 1

Platform breakdown:
* windows10-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1377808&startday=2018-01-01&endday=2018-01-07&tree=all

Comment 16

6 months ago
3 failures in 657 pushes (0.005 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 3

Platform breakdown:
* linux64-stylo-disabled: 2
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1377808&startday=2018-01-15&endday=2018-01-21&tree=all

Comment 17

6 months ago
1 failures in 735 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1377808&startday=2018-01-29&endday=2018-02-04&tree=all
https://wiki.mozilla.org/Bug_Triage#Intermittent_Test_Failure_Cleanup
Status: NEW → RESOLVED
Last Resolved: 5 months ago
Resolution: --- → INCOMPLETE
Recent failure log: https://treeherder.mozilla.org/logviewer.html#?job_id=168125477&repo=autoland&lineNumber=4013


02:51:01     INFO -  632 INFO TEST-START | devtools/client/webconsole/test/browser_webconsole_log_file_filter.js
02:51:02     INFO -  TEST-INFO | started process screenshot
02:51:02     INFO -  TEST-INFO | screenshot: exit 0
02:51:02     INFO -  Buffered messages logged at 02:51:01
02:51:02     INFO -  633 INFO Entering test bound
02:51:02     INFO -  634 INFO Adding a new tab with URL: http://example.com/browser/devtools/client/webconsole/test/test-bug_923281_console_log_filter.html
02:51:02     INFO -  635 INFO Tab added and finished loading
02:51:02     INFO -  636 INFO Console message: [JavaScript Warning: "Unknown property ‘user-select’.  Declaration dropped." {file: "resource://devtools/client/shared/components/reps/reps.css" line: 270}]
02:51:02     INFO -  Buffered messages logged at 02:51:02
02:51:02     INFO -  637 INFO Waiting for messages...
02:51:02     INFO -  638 INFO TEST-PASS | devtools/client/webconsole/test/browser_webconsole_log_file_filter.js | matched rule: sentinel log -
02:51:02     INFO -  639 INFO TEST-PASS | devtools/client/webconsole/test/browser_webconsole_log_file_filter.js | number of messages -
02:51:02     INFO -  640 INFO TEST-PASS | devtools/client/webconsole/test/browser_webconsole_log_file_filter.js | the log nodes not containing string "random" are hidden -
02:51:02     INFO -  641 INFO TEST-PASS | devtools/client/webconsole/test/browser_webconsole_log_file_filter.js | show only log nodes containing string "test2.js" or log nodes created from files with filename containing "test2.js" as substring. -
02:51:02     INFO -  Buffered messages finished
02:51:02    ERROR -  642 INFO TEST-UNEXPECTED-FAIL | devtools/client/webconsole/test/browser_webconsole_log_file_filter.js | Uncaught exception - at chrome://mochitests/content/browser/devtools/client/webconsole/test/browser_webconsole_log_file_filter.js:66 - Error: operation not possible on dead CPOW
02:51:02     INFO -  Stack trace:
02:51:02     INFO -      countMessageNodes@chrome://mochitests/content/browser/devtools/client/webconsole/test/browser_webconsole_log_file_filter.js:66:3
02:51:02     INFO -      testLiveFilteringOnSearchStrings@chrome://mochitests/content/browser/devtools/client/webconsole/test/browser_webconsole_log_file_filter.js:53:6
02:51:02     INFO -      @chrome://mochitests/content/browser/devtools/client/webconsole/test/browser_webconsole_log_file_filter.js:22:3
02:51:02     INFO -      Tester_execTest@chrome://mochikit/content/browser-test.js:1058:9
02:51:02     INFO -      Tester.prototype.nextTest</<@chrome://mochikit/content/browser-test.js:958:9
02:51:02     INFO -      SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:795:59
02:51:02     INFO -      Tester_execTest@chrome://mochikit/content/browser-test.js:1058:9
02:51:02     INFO -      Tester.prototype.nextTest</<@chrome://mochikit/content/browser-test.js:958:9
02:51:02     INFO -      SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:795:59
02:51:02     INFO -  643 INFO Leaving test bound
02:51:02     INFO -  644 INFO Removing tab.
02:51:02     INFO -  645 INFO Waiting for event: 'TabClose' on [object XULElement].
02:51:02     INFO -  646 INFO Got event: 'TabClose' on [object XULElement].
02:51:02     INFO -  647 INFO Tab removed and finished closing
02:51:02     INFO -  GECKO(2924) | MEMORY STAT | vsize 2099268MB | vsizeMaxContiguous 128098913MB | residentFast 532MB | heapAllocated 247MB
02:51:02     INFO -  648 INFO TEST-OK | devtools/client/webconsole/test/browser_webconsole_log_file_filter.js | took 679ms
02:51:02     INFO -  649 INFO checking window state
02:51:02     INFO -  650 INFO TEST-START | devtools/client/webconsole/test/browser_webconsole_message_node_id.js
02:51:02     INFO -  GECKO(2924) | MEMORY STAT | vsize 2099277MB | vsizeMaxContiguous 128098913MB | residentFast 548MB | heapAllocated 252MB
02:51:02     INFO -  651 INFO TEST-OK | devtools/client/webconsole/test/browser_webconsole_message_node_id.js | took 650ms
02:51:02     INFO -  652 INFO checking window state
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---

Comment 20

4 months ago
3 failures in 814 pushes (0.004 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 2
* try: 1

Platform breakdown:
* windows7-32: 2
* windows10-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1377808&startday=2018-03-12&endday=2018-03-18&tree=all

Comment 21

4 months ago
1 failures in 822 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 1

Platform breakdown:
* osx-10-10: 1

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1377808&startday=2018-03-20&endday=2018-03-26&tree=trunk
Test was moved to devtools/client/webconsole/old folder, and will be deleted in Bug 381834
Depends on: 381834
Wrong blocker id
No longer depends on: 381834
Test removed in Bug 1381834
Status: REOPENED → RESOLVED
Last Resolved: 5 months ago3 months ago
Depends on: 1381834
Resolution: --- → INVALID

Updated

a month ago
Product: Firefox → DevTools
You need to log in before you can comment on or make changes to this bug.